package cn.teammodel.model.entity.common;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "Common")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Art extends BaseItem {
    private String name;
    private String school;
    public List<Tasks> settings;
    public String creatorId;
    public String createTime;
    public String updateTime;
    public int type;
    public List<String> classes;
    public List<String> stuLists;
    public List<String> tchLists;
    public List<String> sIds;
    public String progress;
    public String scope;
    public int status;
    public long size;
    public String owner;
    public String areaId;
    public String pId;
    public String presenter;
    public String topic;
    public long startTime;
    public long endTime;
    public long uploadSTime;
    public long uploadETime;
    public String uploadProgress;
    public String address;
    public String pk;
    public String desc;
    public String img;
    public int publish;
    public List<ArtSubject> subjects;
    public ArtPeriod period;
    public String periodType;
    public List<LostStudent> lost;
    public int pass;
    public List<Integer> miss;
    public List<Zymusicstd> zymusicstds;
    public static class Acs {
        public String infoId ;
        public String acId ;
        public String name ;
        public String subject ;
        public int isOrder ;
        public int type ;
        public String workDesc ;
        public long workEnd ;

    }
    public static class Tasks {
        public String id ;
        public String quotaname ;
        public List<String> path ;
        public List<Acs> task ;
    }
    public static class ArtPeriod
    {
        public String id ;
        public String name ;
    }
    public static class ArtSubject {
        public String id ;
        public String name ;
    }
    public static class LostStudent {
        public String code ;
        public String subject ;
        public double stu ;
    }
    private static class Zymusicstd
    {
        public String code ;
        public String label ;
        public double percent ;
    }
}

