package cn.teammodel.model.entity.school;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "Teacher")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Teacher extends BaseItem {
    private String name;
    private String picture;
    private int size;
    private String defaultSchool;
    private List<School> schools;
    private List<Area> areas;
    private List<LoginInfo> loginInfos;
    private long createTime;
    //private List<String> binds;
    private int lessonLimit;
    //private List<String> lessonShow;
    private String lang;
    private String pk;

    @Data
    public static class School {
        private String schoolId;
        private String name;
        private String status;
        private long time;
        private String picture;
        private String areaId;
    }

    @Data
    public static class Area {
        private String areaId;
        private String name;
        private String status;
    }

    @Data
    public static class LoginInfo {
        private long time;
        private String ip;
        private long expire;
    }
}
